gnutls_alert_send_appropriate(3)

NAME
gnutls_alert_send_appropriate - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_alert_send_appropriate(gnutls_session_t session, int err);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

int err
    is an error code returned by another GnuTLS function

DESCRIPTION
Sends an alert to the peer depending on the error code returned by a gnutls function. This function will call gnutls_error_to_alert() to determine the appropriate alert to send. This function may also return GNUTLS_E_AGAIN, or GNUTLS_E_INTERRUPTED. This function historically was always sending an alert to the peer, even if err was inappropriate to respond with an alert (e.g., GNUTLS_E_SUCCESS). Since 3.6.6 this function returns success without transmitting any data on error codes that should not result to an alert.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/